all:
  dense:
  deepfried:
  deepstrom:

base:
  epoch_numbers: {"-e": [100]}
  batch_sizes: {"-s": [64]}
  val_size: {"-v": [10000]}
  seed: {"-a": "range(10)"}
  quiet: ["-q"]
  data_size: {"-t":[20, 50, 100, 200, 500, 1000, 2000]}
  dataset: ["--cifar100"]
  weights: {"-W": ["cifar10"]}
  cut_layer: {"-B": ["block3_pool", "block5_conv4", "block5_pool"]}

dense:
  network: ["dense"]
  base:
  repr_dim: {"-D": [16, 64, 128, 1024]}

deepfried:
  network: ["deepfriedconvnet"]
  base:
  nbstacks: {"-N": [1, 3, 5, 7]}

deepstrom:
  network: ["deepstrom"]
  base:
  real_nys: ["-r", ""]
  nys_size: {"-m": [16, 64, 128, 256, 512, 1024]}
  kernel: ["-C", "-L", "-R"]

